org.eclipse.jetty.plus.annotation

## Class RunAs

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.RunAs

-     public class RunAs
      extends Object

  RunAs

  Represents a <run-as> element in web.xml, or a runAs annotation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunAs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRoleName()`
    `String` | `getTargetClassName()`
    `void` | `setRoleName(String roleName)`
    `void` | `setRunAs(ServletHolder holder)`
    `void` | `setTargetClassName(String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunAs

          public RunAs()

  - ### Method Detail

    - #### setTargetClassName

          public void setTargetClassName(String className)

    - #### getTargetClassName

          public String getTargetClassName()

    - #### setRoleName

          public void setRoleName(String roleName)

    - #### getRoleName

          public String getRoleName()

    - #### setRunAs

          public void setRunAs(ServletHolder holder)
                        throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.